using System;
using System.Collections.Generic;
using System.Text;
using System.Collections;

namespace FormulaEditor
{
    /// <summary>
    /// The symbol of root
    /// </summary>
    [Serializable()]
    public class RootSymbol : BracketsSymbol
    {

        /// <summary>
        /// Unicode root symbol
        /// </summary>
        static char specQ = 'Q';


        /// <summary>
        /// Constructor
        /// </summary>
        public RootSymbol()
        {
            symbol = 'Q';
            s = "" + specQ;
        }

        public RootSymbol(System.Runtime.Serialization.SerializationInfo info, System.Runtime.Serialization.StreamingContext context)
            : base(info, context)
        {
        }

        public RootSymbol(RootSymbol s)
            : this()
        {
        }


        /// <summary>
        /// Clones ifself
        /// </summary>
        /// <returns>The clone</returns>
        public override object Clone()
        {
            return new RootSymbol();
        }
    }
}
